Name: deluge
Version: 1.2.0
Release: alt1.rc2

Summary: is a full-featured BitTorrent client
License: GPL
Group: Networking/File transfer
Url: http://deluge-torrent.org
Packager: Vladimir Lettiev <crux@altlinux.ru>

# http://svn.deluge-torrent.org/tags/%name-%version/
Source: %name-%version.tar
BuildArch: noarch

BuildPreReq: rpm-build-gnome

BuildRequires: python-module-dbus-devel python-module-pygtk-devel
BuildRequires: python-module-notify librsvg-devel python-module-pyxdg
BuildRequires: python-module-setuptools python-module-libtorrent-rasterbar
BuildRequires: python-module-simplejson

Requires: python-module-libtorrent-rasterbar python-module-simplejson
Requires: python-module-zope.interface python-module-twisted-web

%description
Deluge is a full-featured BitTorrent client for Linux, Mac OS X and Windows. It uses libtorrent in it's backend and PyGTK for it's user interface.
Deluge features a rich plugin collection; in fact, most of Deluge's functionality is available in the form of plugins.
Deluge was created with the intention of being lightweight and unobtrusive. It is our belief that downloading shouldn't be the primary task on your computer and therefore shouldn't monopolize system resources.
Deluge is not designed for any one desktop environment and will work just fine in GNOME, KDE, XFCE and others.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install --root=%buildroot
rm -f %buildroot%_datadir/pixmaps/*
rm -f %buildroot%python_sitelibdir/%name/ui/webui/scripts/build_webui_tarball.sh

%find_lang %name

%files -f %name.lang
%python_sitelibdir/%name
%python_sitelibdir/%name-%{version}_rc2-py*
%_bindir/%{name}*
%_man1dir/%{name}*
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_iconsdir/hicolor/22x22/apps/*
%_iconsdir/hicolor/96x96/apps/*
%_iconsdir/hicolor/64x64/apps/*
%_iconsdir/hicolor/72x72/apps/*
%_iconsdir/hicolor/256x256/apps/*
%_iconsdir/hicolor/24x24/apps/*
%_iconsdir/hicolor/128x128/apps/*
%_iconsdir/hicolor/192x192/apps/*
%_iconsdir/hicolor/36x36/apps/*
%_iconsdir/scalable/apps/*
%_desktopdir/%name.desktop

%doc LICENSE ChangeLog README

%changelog
* Mon Oct 26 2009 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt1.rc2
- new RC

* Sat Oct 17 2009 Vladimir Lettiev <crux@altlinux.ru> 1.2.0-alt1.rc1
- new version
- do not check new version by default (Closes: #21908)

* Tue Jun 16 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.9-alt1
- new version

* Sun Jun 14 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.8-alt2
- build with system libtorrent-rasterbar (Closes: 20387)
- dropped libtorrent patches and buildreqs
- noarch

* Sun May 31 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.8-alt1
- new version

* Sun Apr 26 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.7-alt1
- new version
- patch2 moved to upstream

* Thu Apr 09 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.6-alt2
- fix bug #18929

* Tue Apr 07 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.6-alt1
- new version

* Sun Feb 22 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.3-alt1
- new version

* Mon Jan 26 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.1-alt1
- new version

* Thu Jan 15 2009 Vladimir Lettiev <crux@altlinux.ru> 1.1.0-alt1
- new version
- cleared deprecated macroses
- fixed #18201

* Mon Oct 13 2008 Vladimir Lettiev <crux@altlinux.ru> 1.0.2-alt1
- new version
- applied patch from Ivan A. Melnikov (iv@) to fix build with new
  boost and old gcc (workaround gcc-c++ bug #33094)
- removed patch for boost lib detection logic (merged in upstream)
- updated bosts's dependencies
- removed icon from pixmaps dir

* Tue Sep 23 2008 Vladimir Lettiev <crux@altlinux.ru> 1.0.0-alt2
- Fix build on x86_64 (patch from deluge trac ticket #503)

* Mon Sep 22 2008 Vladimir Lettiev <crux@altlinux.ru> 1.0.0-alt1
- Initial build for Sisyphus

